{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Add A Section</title>
{% endblock meta %}

{% block content %}
<h4>Create a new section for {{course.title}}</h4>
<div class="modal" id="modal1">
    <div class="modal-content">
        <h3>It Works</h3>
        <a href="" class="btn btn-purple waves-effect modal-close"> Close</a>
    </div>
</div>
  <form id="form_add_section" action="" method="POST">
      {% csrf_token %}
      {{form.as_p}}
      
      <a type="submit" class="btn green"> Submit</a>
  </form>

<script >
var id = "{{course.id}}"
$(document).ready(function(){
    
    $("#form_add_section").on("submit", function(e){
        e.preventDefault();
        var dataForm = new FormData(document.getElementById("#form_add_section"));
        $.ajax({
            url:"/course/"+id+"/add-section",
            type : "POST",
            data : dataForm,
            enctype: "multipart/form-data",
            processData: false,
            contentType: false,
            success: function(response){
                if (response.get("status") == "OK"){
                    alert("berhasil daftar")
                    console.log("BERHASIL MASUK");
                    
                    // $('#modal1').modal()
                    $('#modal1').modal('open')
                }else{
                    $('#modal1').modal('open')
                }
            }
        });
    });
});

</script>  
{% endblock content %}